Enum OAuth Token Endpoint Auth Method

View as Markdown

Generated from cargo doc --no-deps -p nemo-fabric-core.

1pub enum OAuthTokenEndpointAuthMethod {
2 None,
3 ClientSecretPost,
4 ClientSecretBasic,
5}

OAuth client authentication method used at the token endpoint.

Variants

None

None

Public client without a client secret.

ClientSecretPost

ClientSecretPost

Send the client secret in the token request body.

ClientSecretBasic

ClientSecretBasic

Send the client credentials with HTTP Basic authentication.

Trait Implementations

impl Clone for OAuthTokenEndpointAuthMethod

impl Clone for OAuthTokenEndpointAuthMethod

clone

fn clone(&self) -> OAuthTokenEndpointAuthMethod

clone_from

fn clone_from(&mut self, source: &Self)

impl Debug for OAuthTokenEndpointAuthMethod

impl Debug for OAuthTokenEndpointAuthMethod

fmt

fn fmt(&self, f: &mut Formatter<'_>) -> Result

impl<'de> Deserialize<'de> for OAuthTokenEndpointAuthMethod

impl<'de> Deserialize<'de> for OAuthTokenEndpointAuthMethod

deserialize

fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
    __D: Deserializer<'de>,

impl JsonSchema for OAuthTokenEndpointAuthMethod

impl JsonSchema for OAuthTokenEndpointAuthMethod

schema_name

fn schema_name() -> Cow<'static, str>

schema_id

fn schema_id() -> Cow<'static, str>

json_schema

fn json_schema(generator: &mut SchemaGenerator) -> Schema

inline_schema

fn inline_schema() -> bool

impl PartialEq for OAuthTokenEndpointAuthMethod

impl PartialEq for OAuthTokenEndpointAuthMethod

eq

fn eq(&self, other: &OAuthTokenEndpointAuthMethod) -> bool

ne

fn ne(&self, other: &Rhs) -> bool

impl Serialize for OAuthTokenEndpointAuthMethod

impl Serialize for OAuthTokenEndpointAuthMethod

serialize

fn serialize<__S>(&self, __serializer: __S) -> Result<__S::Ok, __S::Error>where
    __S: Serializer,

impl Copy for OAuthTokenEndpointAuthMethod

impl Copy for OAuthTokenEndpointAuthMethod

impl Eq for OAuthTokenEndpointAuthMethod

impl Eq for OAuthTokenEndpointAuthMethod

impl StructuralPartialEq for OAuthTokenEndpointAuthMethod

impl StructuralPartialEq for OAuthTokenEndpointAuthMethod